Subject: 'tr' BUG using complement option with delete chars in HEX vs OCTAL

From: Owen Townsend <[email-masked]>
Date: Tue, 5 Nov 2019 16:58:58 -0800

To: bug-coreutils.org
From: Owen Townsend, [email-masked]
Date: Nov.05/2019
Subject: 'tr' BUG using complement option with delete chars in HEX vs OCTAL

fn2=$(echo $fn1 | tr -cd '\12\40-\176')      #<-- OCTAL works, but HEX 
preferred
fn2=$(echo $fn1 | tr -cd \$'\x0A\x20-\x7E')  #<-- HEX does not work

See attached scripts renameOK & renameOKx
renameOK  - octal coding, works OK
renameOKx - HEX coding does NOT work
           - see test results coded as #comments at end of script

Please let me know if you confirm this is a bug and when it might be fixed ?
I am using Ubuntu 16.04 & plan to upgrade to 20.04 when available

Thanks, Owen